<?
require_once('include/global.php');
require_once('include/admin_lib.php');
require_once('sadmin_conf.inc.php');
require_once('sadmin_ip_conf.inc.php');

// check
	if (!$_GET['ssw_no'])
		msg('올바른	URL로 접근하여 주십시오');

// data
	// [2025-07-15] 기존 웹메일 접근 IP 관리에 아이디 추가
	$_POST['ssw_word'] = to_db_str($_POST['ssw_word'], 255, false);
	$_POST['ssw_memo'] = to_db_str($_POST['ssw_memo'], 255);

	$q = "UPDATE " . $TB['SADMIN_SPAM_WORD'] . " SET ssw_word='" . $_POST['ssw_word'] . "', ssw_memo='".$_POST['ssw_memo']."' WHERE ssw_no='" . $_GET['ssw_no'] . "'";
	db_query($q);

// end
	//msg("수정되었습니다.", 0);
	if ($_GET['is_window_close'])
	{
		?>
			<script language="JavaScript">
			<!--
				window.close();
			//-->
			</script>
		<?
	} else if ($_POST['back_url'])
	{
		movepage($_POST['back_url']);
	} else
	{
		movepage('sadmin_spam_word.php?'.get_qs('ssw_no'));
	}	// if()

require_once('include/global_end.php');
?>